package httpserver

import (
	"github.com/gin-gonic/gin"
)

/*
Registers the exposed route to utilize the handler function

	:param e: pointer to a gin.Engine struct
	:param cfg: pointer to an HttpServerConfig struct
*/
func RegisterRoutes(e *gin.Engine, cfg *HttpServerConfig) {
	c := NewController(cfg)
	web := e.Group("")
	web.Any("/*ProxiedPath", c.Get)

}
